LOCAL_DIR := $(GET_LOCAL_DIR)

INCLUDES += -I$(LOCAL_DIR)/include

PLATFORM := qsd8k

MEMBASE := 0x00000000 # SMI
MEMSIZE := 0x00800000 # 8MB

LINUX_MACHTYPE   := 0x00000811

BASE_ADDR        := 0x20000000

TAGS_ADDR        := BASE_ADDR+0x00000100
KERNEL_ADDR      := BASE_ADDR+0x00800000
RAMDISK_ADDR     := BASE_ADDR+0x01000000
SCRATCH_ADDR     := BASE_ADDR+0x02000000

KEYS_USE_GPIO_KEYPAD := 1

MODULES += \
	dev/keys \
	lib/ptable

DEFINES += \
	SDRAM_SIZE=$(MEMSIZE) \
	LINUX_MACHTYPE=$(LINUX_MACHTYPE) \
	TAGS_ADDR=$(TAGS_ADDR) \
	BASE_ADDR=$(BASE_ADDR) \
	KERNEL_ADDR=$(KERNEL_ADDR) \
	RAMDISK_ADDR=$(RAMDISK_ADDR) \
	SCRATCH_ADDR=$(SCRATCH_ADDR)

OBJS += \
	$(LOCAL_DIR)/init.o \
	$(LOCAL_DIR)/keypad.o
